#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    float float_eq_const_0_0;
    float float_eq_const_1_0;
    float float_eq_const_2_0;
    float float_eq_const_3_0;
    float float_eq_const_4_0;
    float float_eq_const_5_0;
    float float_eq_const_6_0;
    float float_eq_const_7_0;

    if (size < 32)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&float_eq_const_0_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_1_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_2_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_3_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_4_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_5_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_6_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_7_0, &data[i], 4);
    i += 4;


    if (float_eq_const_0_0 == 3.3042498E-4f)
    if (float_eq_const_1_0 == 6.7968135E-12f)
    if (float_eq_const_2_0 == 1.4233423E14f)
    if (float_eq_const_3_0 == -6.888633E35f)
    if (float_eq_const_4_0 == -1.7466741E13f)
    if (float_eq_const_5_0 == 2.0017866E9f)
    if (float_eq_const_6_0 == 887847.9f)
    if (float_eq_const_7_0 == -3376206.5f)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
